libetonyek::PAG1FootnotesElement Class Reference

`#include <PAG1FootnotesElement.h>`

Inheritance diagram for libetonyek::PAG1FootnotesElement:

## Public Member Functions
| PAG1FootnotesElement (PAG1ParserState &state)
Public Member Functions inherited from libetonyek::PAG1XMLContextBase< IWORKXMLContextElement >
| PAG1XMLContextBase (PAG1ParserState &state)
| PAG1XMLContextBase (PAG1ParserState &state, T1 arg1)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T>
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ PAG1FootnotesElement()

libetonyek::PAG1FootnotesElement::PAG1FootnotesElement | ( | PAG1ParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::PAG1FootnotesElement::element | ( | int | name | ) |
| override private

The documentation for this class was generated from the following files:

- PAG1FootnotesElement.h
- PAG1FootnotesElement.cpp